itpp::it_file_base::data_header Struct Reference

Data header structure. More...

`#include <itpp/base/itfile.h>`

## Public Attributes

uint64_t | hdr_bytes
| Number of bytes of the header.
uint64_t | data_bytes
| Number of bytes of the data.
uint64_t | block_bytes
| Number of bytes of the header + data.
std::string | name
| Data name.
std::string | type
| Data type, e.g. int32, float32, etc. type = "" means deleted.
std::string | desc
| Data description.

## Detailed Description

Data header structure.

Definition at line 98 of file itfile.h.

## Member Data Documentation

## hdr_bytes

uint64_t itpp::it_file_base::data_header::hdr_bytes

Number of bytes of the header.

Definition at line 100 of file itfile.h.

## data_bytes

uint64_t itpp::it_file_base::data_header::data_bytes

Number of bytes of the data.

Definition at line 102 of file itfile.h.

## block_bytes

uint64_t itpp::it_file_base::data_header::block_bytes

Number of bytes of the header + data.

Definition at line 104 of file itfile.h.

## name

std::string itpp::it_file_base::data_header::name

Data name.

Definition at line 106 of file itfile.h.

## type

std::string itpp::it_file_base::data_header::type

Data type, e.g. int32, float32, etc. type = "" means deleted.

Definition at line 108 of file itfile.h.

## desc

std::string itpp::it_file_base::data_header::desc

Data description.

Definition at line 110 of file itfile.h.

The documentation for this struct was generated from the following file:

- itpp/base/itfile.h

Generated on Mon Jun 10 2024 11:49:36 for IT++ by Doxygen 1.9.8